#include <stdio.h>
#include <stdlib.h>

typedef struct tar
{
  int x;
  int y;
} tarball;

tarball * alloc_func()
{
  return malloc(sizeof(tarball));
}

int func(tarball *t)
{
  if (t == NULL)
    return 1; 
  t->x = 56;
  t->y = 69;
}


int main ()
{

  tarball t;
  tarball *bleh;
  
  bleh = alloc_func();

  //t = malloc(sizeof(tarball));

  t.x = 1;
  printf("%i\n", t.x);
  
  func(&t);
  printf("%i, %i\n", t.x, t.y);
  
  free(bleh);
  
  return 0;

}
